Linux Kernelの脆弱性(Moderate: CVE-2021-29154)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

04/09/2021にLinux Kernelの脆弱性(Moderate: CVE-2021-29154)が公開されました。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2021-29154 Linux Kernel < 5.11.12 [CVE-2021-29154] Linux kernel incorrect computation of branch displacements in BPF JIT compiler can be abused to execute arbitrary code in Kernel mode

Red Hat: 7.0 Moderate

Red Hat: CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-29154
    • ローカルユーザによる特権昇格の可能性
    • 5.11.12までのLinux Kernelでローカルユーザが特権を昇格できる可能性がある脆弱性が見つかりました。

      問題はBPF JITコンパイラがいくつかのアーキテクチャで機械語を生成する際に発生します。これを悪用して異常なマシンコードを生成し、カーネルモードで実行することが可能です。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内

CM

こちらで小学生の勉強支援サイトをオープンしました。算数のプリント(都度、自動生成)が無料でダウンロードできます。コンテンツは未だ少ないですが、徐々に増やしていきます。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

(SAML第2回) SimpleSAMLphpを使った簡易SPの作成

次へ

Kubernetes(kube-apiserver) の脆弱性情報(Meduim: CVE-2021-25735)